Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Remove Check For Maximum CEDET Version

  • Loading branch information...
commit fe64953e0e81cc5f8b8093b0785b12b1cd2340b6 1 parent adfaf68
@pwojnowski pwojnowski authored
Showing with 2 additions and 12 deletions.
  1. +0 −4 ecb-cedet-wrapper.el
  2. +2 −8 ecb-upgrade.el
View
4 ecb-cedet-wrapper.el
@@ -80,10 +80,6 @@ The meaning is as follows:
3. 0 = alpha, 1 = beta, 2 = pre, 3 = nothing \(e.g. \"1.4\"), 4 = . \(e.g. \"1.4.3\"
4. Subversion after the alpha, beta, pre or .")
-(defconst ecb-cedet-required-version-max '(10 0 0 0)
- "Maximum version of CEDET currently accepted by ECB.
-See `ecb-required-cedet-version-min' for an explanation.")
-
(defun ecb-cedet-missing-libs ()
"Return a list of names of missing cedet-libs.
If no cedet libs are missing nil is returned."
View
10 ecb-upgrade.el
@@ -1170,21 +1170,15 @@ Currently this is a check if the right `cedet-version is loaded."
(not ecb-all-requirements-available))
(let ((cedet-required-version-str-min (ecb-package-version-list2str
ecb-cedet-required-version-min))
- (cedet-required-version-str-max (ecb-package-version-list2str
- ecb-cedet-required-version-max))
(version-error nil))
;; check if cedet-version is correct
+ ;; And no longer check against a Maximum version
(when (or (not (boundp 'cedet-version))
(ecb-package-version-list<
(ecb-package-version-str2list cedet-version)
- ecb-cedet-required-version-min)
- (ecb-package-version-list<
- ecb-cedet-required-version-max
- (ecb-package-version-str2list cedet-version)))
+ ecb-cedet-required-version-min))
(setq version-error (concat "cedet ["
cedet-required-version-str-min
- ", "
- cedet-required-version-str-max
"]")))
(if (null version-error)
;; this is the only place where this variable is set
Please sign in to comment.
Something went wrong with that request. Please try again.